Change Dotted Lines to Real Lines?
-
When you create a cylinder or any curved surface you can select View | Hidden Geometry and you make all those dotted lines visible. Is there anyway to select a bunch of those dotted lines and quickly turn them into real lines?
-
In the case of a cylinder as you describe, you can select those softened edges and right click on them. Then choose Unsoften. You could also select the entire thing, right click and choose Smooth/Soften and set the slider to 0. If you knoew before making the cylinder that you were going to want the lines to show, you could explode the circle into its individual lines segments and then extrude it or you could use the Polygon tool, set it to the desired number of sides (24 for a default circle) and draw the "circle". Then Push/Pull.
-
@dave r said:
In the case of a cylinder as you describe, you can select those softened edges and right click on them. Then choose Unsoften. You could also select the entire thing, right click and choose Smooth/Soften and set the slider to 0. If you knoew before making the cylinder that you were going to want the lines to show, you could explode the circle into its individual lines segments and then extrude it or you could use the Polygon tool, set it to the desired number of sides (24 for a default circle) and draw the "circle". Then Push/Pull.
thank you!
what does smooth do?
-
Smooth is basically giving round shapes the illusion of curviness. For example if you draw a circle and zoom in on it's edges you'll see SketchUp uses a series of straight lines to create curves. The more lines you uses the more faces you create. So before using the circle tool you can type into the VCB the required number of edges you would like to have for your circle. By default it's at 24.
These series of edges are 'welded' together, also known as a polyline, so if you push/pull a surfaces whose edges are polylines it'll create 'softened lines. Dave's example of creating a circle and exploding those 'welds' is basically sending a message to SketchUp saying my cylinder i'm about to push/pull will not have softened lines.
-
Smooth/Soften smooths or softens the edge between faces. This happens automatically when you have a circle or an arc or other welded lines and extrude with Puh/Pull or Follow Me. If you have exploded curves or other unwelded lines, you'll get hard edges (solid lines) from the intersections of those lines. You can manually soften/smooth them individually with Ctrl+Eraser (IIRC it's Option+Eraser on Mac) or you can select a bunch of edges and context click for Smooth/Soften. This method allows you to determine which edges get treated based on the angle between faces.
As a side note, Smooth/Soften has a very different effect on edges than Hide. To see this difference, make a cube. Then use Ctrl+Eraser on the edges and notice how the faces get shaded. Undo all that Smoothing/Softening and repeat but this time hold Shift with the Eraser tool and run over the edges. Do this on a 24-sided polygon after Push/Pull to see it another way.
-
You can also use Shift+Ctrl+Eraser tool to unsoften edges (Ctrl+Eraser softens while Shift+Eraser hides them).
-
Whilst you can hide/smooth lines and un-smooth lines using the Erase tool with modifier-key combos you can't 'unhide' a line unless it's 'selected'...
Switch View > Hidden Geometry 'on'.
Select stuff containing the hidden lines you want the revert to become 'normal' lines.
Paste this one-liner code into the Ruby Console + <enter>.m=Sketchup.active_model;s=m.selection;s.each{|e|s.remove(e)if not e.class==Sketchup;;Edge or not e.hidden?}
Now you should find that only the hidden lines will be left selected.
Everything else including 'smoothed' edges will be deselected.
Entity Info > un-check the 'hidden' option.
Now all hidden lines in the selection are 'normal' lines again... -
Another way would be to select the lines after turning on hidden geometry, and then right click > Entity Info > deselect 'soft'. The line or lines will then remain visible after turning off hidden geometry.
Advertisement